Creates a new task priority
Request Information
URI Parameters :
None.
Body Parameters :
task_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task priority (High,Medium) |
string |
Required Max length: 255 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| sequence |
Sorting field (0 first), to order them |
integer | |
| only_for_e_service |
Specify his this task priority is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization |
Request Formats :
application/json, text/json
{
"id": "58e4b2ef-f0fc-4400-a5c1-c2c4a08c8a2a",
"name": "sample string 2",
"code": "sample string 3",
"is_default": true,
"sequence": 5,
"only_for_e_service": true,
"sales_organization_id": "058c9f0f-fe76-4e8e-bd84-d77b7eb5bfa1",
"sales_organization_code": "sample string 8"
}
Response Information
Resource Description :
IHttpActionResult
task_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task priority (High,Medium) |
string |
Required Max length: 255 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| sequence |
Sorting field (0 first), to order them |
integer | |
| only_for_e_service |
Specify his this task priority is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization |
Response Formats
application/json, text/json
{
"id": "5b586972-8324-4743-98d5-f96af32d970c",
"name": "sample string 2",
"code": "sample string 3",
"is_default": true,
"sequence": 5,
"only_for_e_service": true,
"sales_organization_id": "0511fc1d-ddf9-4646-a544-8f0882385b35",
"sales_organization_code": "sample string 8"
}